Vienna ChangeLog File
=====================

As you release new builds, update this file with details of the changes in each build. The
most recent build should be at the top of this file.

** Use the notes.html file instead of this file for change notes?

Thanks!

2.4.0.2402
----------
- ToDo

2.4.0.2401
----------
- Fix the filter field article selection problem reported at http://forums.cocoaforge.com/viewtopic.php?f=18&t=21665
- Enable navigating the built-in browser's back/forward-list via  left/right three-finger swipes.
- Enable navigating feeds via left/right three-finger swipes: Left for "Go Back" and right for "View Next Unread".
- Enable as scrolling to the top/bottom of web pages and the article list via upwards/downwards three-finger swipes.
- Change "currentSelection" to "currentTextSelection" in Viennas Applescript terminology.

2.4.0.2400
----------
- Remove command-shift-g as keyboard shortcut for creating group folder. This is now used for Find Previous.
- Show an alert when upgrading the database version, because it can take a while.
- Turn off animation of tab resizing. It was slow, superfluous and apparently sometimes caused drawing errors in the tab bar background.
- Fix crash when sorting articles by enclosure URL.
- Update SQLite to version 3.6.18.
- Add ability to "Show XML Source" for feeds, which is now cached locally.
- Add support for IDN (internationlized domain names) in the browser.
- Add new supported blog editor (Blogo).
- Increase the standard number of simultaneous refresh downloads to 20.
- Redo browser and filter bar UI. Slimmer look, new buttons.
- Vienna's UI now correctly dims when the application is the background.
- Enable printing of web-pages from the built-in browser.
- Vienna now shows an error page with useful information when the browser fails to load a resource.
- Fix bug where changing the layout would hide the tab bar until relaunch.
- Fix bug that prevented the user from searching for text within a web-page.
- Fix drawing errors and artifacts in the grey title bars.
- Check for https:// as well as http:// on the pasteboard when adding a new subscription.
- Fix background drawing errors in main window and remove custom window background.
- Fix drawing error in Downloads window and remove custom background.
- Fix bug and exception where clicking on a feed link launched Vienna but failed to subscribe to the feed.
- Add workaround for feeds that contain more than one item with the same guid. (For example, the WordPress Trac, to name the guilty.)
- Fix long standing bug where deleted articles would reappear after emptying the trash.
- Fix "Help -> Keyboard shortcuts", which didn't work at all.
- Numerous fixes to localization of help pages and other strings in German, French, and other languages.
- General code and build-phase cleanup, as well as minor speed improvements for some operations.
- Drop Mac OS X 10.4 Tiger support. Vienna 2.4 needs 10.5 Leopard or greater to launch.
- Prevent an infinite redirect loop. This was happening with http://feeds.feedburner.com/factcheck/Rdqt
- Fix the article view scrolling problem reported at http://forums.cocoaforge.com/viewtopic.php?f=18&t=20814
- Fix the mark all read bug on Snow Leopard reported at http://forums.cocoaforge.com/viewtopic.php?f=18&t=20877
- Eliminate deprecated method warnings on Snow Leopard.
- Eliminate drawing artifacts in Folders and Articles headers. (Patch from Dan Crosta)
- Fix a crash reported at http://forums.cocoaforge.com/viewtopic.php?f=18&t=21303

2.3.4.2305
----------
- Fix General Preferences pane crash when trying to set default RSS reader or Download folder. Sigh.

2.3.3.2304
----------
- Fix Preferences pane crash introduced in Vienna 2.3.2.

2.3.2.2303
----------
- SECURITY: fix potential vulnerability when deleting a maliciously crafted subscription. (Reported by Julien Bachmann)
- Fix for bug 2724576: If network is down, URL tab information is lost. (Patch from Benedict Cohen).
- Fix for bug 2381168: Keychain issues with https.
- When switching back and forth from a tab, maintain the selected user interface item in the tab.

2.3.1.2302
----------
- Fix crash on Tiger when customizing toolbar.

2.3.0.2301
----------
- Drop Mac OS X 10.3 Panther support. Vienna 2.3 needs 10.4 or greater to launch.
- Leopard fix: allow option-left-arrow and option-right-arrow as keyboard shortcuts for closing and opening group folders.
- Bug fix: when validating a URL, escape any special query characters.
- Fix assertion failure when the user enters an invalid URL string in the address bar.
- Fix bug with smart folders and German umlauts.


2.3.0.2300
----------
WARNING: MAC OS X 10.3 PANTHER USERS SHOULD NOT DOWNLOAD THIS! IT WON'T RUN.

- Drop Mac OS X 10.3 Panther support. Vienna 2.3 needs 10.4 or greater to launch.
- Add folder ordering option (manually or by name).
- Improvement to Send Link for multiple links and escaped characters. (Patch from Anmol Khirbat).
- Change standard product URLs to the new www.vienna-rss.org web site.
- Bug fix: Truncated Headings in LA Times Feeds
- Bug fix: Unescaped HTML in titles.
- Bug fix: Incorrect document URL shown after downloads.
- Bug fix: Option-clicking the close tab widget closed the main Articles tab.
- Add Kaku http://ppmweb.lolipop.jp/apps/kaku to the list of supported blog editors.

2.2.3.2213
----------
- Change standard product URLs to the new www.vienna-rss.org web site.
- Improvement to Send Link for multiple links and escaped characters. (Patch from Anmol Khirbat).

2.2.2.2212
----------
- Fix cookie handling on Leopard. (This could cause crashes.)
- Fix error in Spanish translation. (Thanks to Ramon.)

2.2.2.2211
----------
- Fix crash when web page attempts to open pop-under window.

2.2.1.2210
----------
- Fix appearance of search field in toolbar when using small size.
- Fix the visual glitch in which the unread count and progress indicator were slightly overlapping
  with the scroll bar if present.
- Update the styles menu in the toolbar when adding a style.
- Added Portuguese localisation. (Thanks to Rui Carlos A. Gon√ßalves).
- Added Turkish localisation. (Thanks to Emrah Omuris).
- Updated German, Italian, Traditional Chinese, and Ukranian localisations.
- Updated Spanish localisation (Thanks to Dani Carril).
- Fix feed parsing crash on PowerPC machines (Patch from Paul Livesey).
- Possible fix for crashes in ArticleController.
- Fix the truncated right pane in Leopard.
- Fix long-standing issue with many messages in console.log while downloading (Patch from Martin H√§cker).
- Add support for blogging with MarsEdit 2.

2.2.0.2209
----------
- More minor toolbar bug fixes.
- Updated toolbar button bitmaps.

2.2.0.2208
----------
- Fixed bug: ampersand in folder name broke smart folder criteria.
- Fix shrinking toolbar button bug.
- Fix problem where Vienna failed to launch under 10.3.9.

2.2.0.2207
----------
- Add patch to pass selected text to blogging clients. (Contributed by Pukka author Justin R. Miller).
- Fix exception caused by misparsing author field in some Atom feed items.
- Fix "CGContextRestoreGState: invalid context" errors reported to the console log.

2.2.0.2206
----------
- Updated German localisation.
- Fixed overpainting bug in Download window.

2.2.0.2205
----------
- Allow the Search Results folder to be deleted.
- Fix memory leak.
- Minor toolbar button cleanup.

2.2.0.2204
----------
- Fixed bug: on launch, filter popup didn't reflect filter setting.
- Make Refresh toolbar button toggle between refresh and cancel.
- Add Search panel for when the toolbar is turned off or the Search field is removed from the toolbar.
- Fix feed autodiscovery for servers that gzip content.

2.2.0.2203
----------
- Updated all built-in styles to add enclosure field.
- Improved toolbar styles.
- Added Ukrainian localisation. (Thanks to Andrew Kachalo).
- Fixed toolbar UI corruption bug.
- Updated keyboard shortcuts in help file.
- Added Get Info and Style toolbar buttons.

2.2.0.2202
----------
- Fix bug in 2201 which broke saving a new smart folder.
- Fix CGContext errors in the system console log caused by the Vienna tab control gradient background.
- Add Growl events for file download success and failure.
- Add filter bar to more easily filter the article list.
- Add global search bar.

2.2.0.2201
----------
- UI improvements contributed by Philipp Antoni.
- Switched to polished metal style.
- Added Russian localization. (Thanks to Taras "sacrat" Brizitsky).
- Show refresh indicator in folder list next to feed currently being refreshed.
- Add unsubscribe/resubscribe command to File menu.
- Show enclosure pane below article for articles that contain enclosures.

2.2.0.2200
----------
- Added ability to drop OPML files onto Vienna's dock icon.
- Added support for RSS/Atom enclosures.
- Add conditional support in templates.
- Overhauled UI.
- Added new standard style.
- Added more built-in styles.
- Command + T now opens new tab.
- Accept web pages as subscription URLs and parse to extract the feed.
- Show RSS button in browser if the web page links to an RSS feed. Clicking the button subscribes to that feed.
- New tab bar control. (Thanks to Evan Schoenberg).
- Add option to add Vienna to the system status bar.
- Added Basque localization. (Thanks to Aitor Zubizarreta).
- If Vienna doesn't handle the URL scheme (e.g., itms), open the URL with the default application for its scheme.
- Allow refreshing of unsubscribed feeds if they are specifically selected. (Thanks to ytrewq1 for submitting a patch.)
- Updated to SQLite 3.3.17.
- Change exported file format to UTF8. (Thanks to Kiyu Horiuti).
- Added toolbar and moved buttons to toolbar. (Thanks to David Kocher for the prototyping).
- Added support for toggle status bar and moved progress indicator to toolbar.
- Add toolbar button to empty the trash.
- Added flagged article filter.
- Refresh all subscriptions now refreshes in the folder list sorted order.

2.1.2.2110
----------
- Fixed bug: empty trash warning did not reappear after unhiding Vienna.
- Changed button tooltip to match behavior.
- New and nicer toolbar icons made by Davide Casali (Folletto).
- Fixed bug: move articles to Trash preference was counting back to beginning of day rather than by 24 hours.
- Fixed bug: change in JavaScript preference didn't take effect until relaunching.

2.1.1.2109
----------
- Added Danish localisation. (Thanks to David Munch).
- Added Czech localisation. (Thanks to Jakub Formanek).
- If folder manual sort order is corrupt, automatically reset.
- Fix date parsing for fractional seconds.
- The -profile switch is now propagated to a new instance of Vienna if Vienna is restarted.
- Added more built-in styles.
- Add Advanced preferences page and help file page to match.
- Fixed bug where folder passwords were not being properly saved and loaded.
- Save open tabs with unloaded URLs.
- Fix bug: when selecting articles list via right-click, menu items were disabled.
- When manually refreshing all subscriptions, reset the automatic refresh timer.
- Article title appears when article is dragged to iChat (and probably other to apps).
- If a feed item lacks a guid, identify the item by full title and link rather than by a hash.
- Added Applescript command: "mark all subscriptions read".
- Single-key shortcut 'n' for Next Unread command.
- Empty trash automatically on quitting. (Thanks to Hwang Hi.)
- Fix bug: subscriptions duplicated when exporting by AppleScript. (Thanks to Darren Kulp.)
- Support blogging with Pukka.
- Email page link from browser tab.
- Don't show dialog when exporting subscriptions by AppleScript.  (Thanks to Darren Kulp.)
- Added iTunes-like behaviour for add-button. Holding down Option will toggle to "New Smart Folder".
- Added BlogThing to list of supported blog editors.
- Help localized to German.
- Enable JavaScript for styles using the file "script.js", if it exists. (Thanks to Les Orchard).
- Fix bug: article pane failed to display articles for subscriptions with feed: URL.
- Don't unnecessarily refresh article pane after folder refresh.
- Fix DefaultDatabase preference.

2.1.0.2108
----------
- Convert InfoPlist.strings files to UTF-16.
- Fix bug with marking all subscriptions read from group or smart folder.

2.1.0.2107
----------
- Fix article selection after deleting or restoring.
- Fix bug: deleted article wasn't removed from trash when using filter.

2.1.0.2106
----------
- Only allow the active web view to set the status bar text.
- Added Simplified Chinese localisation. (Thanks to Arsen Liang).
- Don't create a new article if the only difference is the article link.
- Fix bug: article list rows were too small for text.
- Fix bug: next unread command didn't respect folder unexpanded state.
- Fix bug: articles with date but no time were sometimes missed because of midnight timestamp.
- Turn off article updating by default.
- Speed up folder loading by only parsing visible summaries.
- Fix folder refreshing for mark read/unread and undo.

2.1.0.2105
----------
- Add Blog With feature.
- Fix bug where mouse was tracking wrong browser tab.
- Fix bug: searching in 'any' smart folders wasn't done correctly.
- Updated all localisation except Traditional Chinese.
- Added Brazilian Portuguese localisation (thanks to Helvécio Mafra).
- Change URL with feed:// to http:// during refresh.
- Fix bug with expanding file:// path.
- Compare article titles case insensitively when looking for updates.
- Fix warning message for missing style.
- Add hidden preference to disable checking for updated articles.
- After clicking link in article pane to open in foreground of external browser,
  return focus to article list.
- Fix bug in date parser.
- If there are no connection errors during refresh, then set the subscription's
  last update date even if there is no data.  Could be http 304, for example.
- Added Korean localisation (thanks to Lee Seung Koo).
- Add AppleScript command for emptying trash.
- "Text contains" in smart folders now matches partial words.

2.1.0.2104
----------
- Update to Sparkle 1.1.
- Fix bug: preserved article is marked unread after folder reloaded.
- Fix bug: browser buttons were always enabled.
- Turn on manual sorting by default for new databases.
- When checking for new articles, include articles within 24 hours before last update,
  because feeds sometimes provide inaccurate dates.
- Assign new id to non-duplicate article with same id as existing article.
- Set our own last update date. Don't rely on the feed.
- Ensure that the article guid is truly unique between feeds.
  This fixes a bug where the wrong article was selected.
- Change browser address bar image into button.
- Re-enable Tiger-only features and eliminate warnings in log.
- Fix bug: don't rename when clicking on grayed-out folder.
- Show article list tab when clicking on folders list.
- Allow dragging of Trash folder.
- Don't re-sort article list after changing article's marked or read status.
- Truncate status bar text in the middle when it doesn't fit.
- Fix bug: articles with same title but different links were treated as the same.
- Fix bug: Deleted articles could be marked as updated.
- Standardize browser user agent string.
  This prevents a crash with the Flash Player plugin.
- Green icon for articles with updated article text.
- Improve handling of images with relative URLs.
- Patch from Peter Hosey: open article URL by drag and drop from article list to browser.
- Prevent crash with broken folder sort order (probably from earlier beta version).
- Remove hover:after element in Perlucida style to prevent WebKit crash in 10.3.9.
- Fix bug with dragging and dropping folders when group folder was dragged into itself.
- Prevent crash when deleting folder while editing name.
- Switch everyone to manual folder sorting.

2.1.0.2103
----------
- Fix next unread behavior in sorted article list.
- Select a new subscription after dragging from an external source.
- Add Applescript support for retrieving html source of article pane.
- Fix bug: only use xml:base for relative urls.
- Always reload current folder after refresh in report layout, preserving currently selected article if necessary.
- Mark article unread when the article text has changed.
- Add "Get Info" to folder contextual menu.
- Return key in folders list opens home page.
- Changed wording of expired articles preference.
- Single-click folder to rename.
- Limit summary text to 150 characters.
- Add Folder submenu to main menu.
- Fix bug: multiple layouts receiving notifications.
- Fix bug: folders tree sort method wasn't recovered properly from database after plist deletion.
- Extend copyright to all contributors.

2.1.0.2102
----------
- Fixed bug: folder attributes (e.g., unread count) not always written to database.
- Don't reload current folder after refresh if preference is set to mark articles read automatically.
- Avoid leaking or crashing with URL connections.
- Move storage of preference for folder sort method from preferences file to database,
  so that it (and manual sort order) can survive deletion of preferences file.
- Enable reloading of web page that never loaded because of error.
- Fixed bug: When deleting multiple folders, the currently selected folder remained selected.
- Enable use of backward delete key.
- Removed multiple delete commands from main menu.
- Added rudimentary Applescript support for retrieving html source of current browser tab.
- Adjust refresh check timer after waking from sleep to account for time asleep. Wait at least 15 seconds
  before refreshing after wake to avoid connection errors.
- When updating existing articles during refresh, don't change article flags.
- Fix bug: existing articles updated even when body hasn't changed.
- Handle relative URLs in article pane.
- Automatic check for folder image only occurs once.
- Fix bugs: next sibling not set for new folder or for folder moved to first child of root node.
- Select new group folder after creating.

2.1.0.2101
----------
- Restored Mac OS 10.3.9 support.

2.1.0.2100
----------
(Contributions from Jeffrey Johnson, Michael Ströck and David Kocher).
- Added preference for automatically or manually sorting folders view.
- Added "Increase text size" and "Decrease Text Size" for browser view.
- Changed key combination for "Cancel Refreshing" to control-command-s to make command-"-" available for text size.
- Added "Send Link" functionality for article view.
- Add address bar and refresh, back and forward buttons at the top of the browser web pages.
- Add -profile command line option to support custom profiles (needed for Portable Vienna).
- Added "Refresh Folder Images" command.
- Sort article list by multiple columns, saving the order in which columns were sorted.
- Added "Summary" field which shows the first part of the description.
- In condensed reading mode with the pane on the right, the headline fields can now be configured.
- Added "Filter By" to allow articles to be filtered in the article list by all, unread or date.
- Persist open tabs when Vienna exits and restore them when it restarts.
- Handles HTTP 410 to mark a feed as unsubscribed.
- Add button to Mark All Read the selected feeds.
- Unread articles marked as bold.
- Don't select first article when switching folders.
- Renaming folders now done by editing the name in the folder pane.
- Changed modifier key for overriding default browser preference from shift to option.
- Add Get Info command option and moved Validate command to the info panel.
- New Layout menu: report, condensed and unified layouts.
- Provide two new options for new articles notifications: bounce dock icon or no notification at all.
- Searching with 'contains' or 'not contains' now matches complete words only.
- Add Keyboard Shortcuts item to Help menu.
- Change user agent string from Mozilla/Safari to Vienna.
- Use Sparkle framework (http://andymatuschak.org/pages/sparkle) for version updates.

2.0.4.2033
----------
- Parse entity characters in RSS article links.

2.0.3.2032
----------
- Minor article cache tweak and bug fixes.

2.0.3.2031
----------
- Completed Japanese localisation.
- Support Local File subscriptions in New Subscription sheet.
- Bug fixes.

2.0.2.2030
----------
- Completed Spanish localisation.

2.0.2.2029
----------
- Fix database performance issue introduced in 2026.

2.0.1.2028 (2.0.1 Release Build)
--------------------------------
- Updated localisation.

2.0.1.2027
----------
- For feeds that have no title and one cannot be synthesised, we now set the title to (No Title).
- Made click on the Growl notification work again. It broke when we moved to 0.7.4.
- Correctly set focus on the web page in a new tab. (Code contributed by Jeffrey Johnson).
- Fix a build 2025 crashing bug.
- Several localisation updates.

2.0.1.2026
----------
- Universal binary build.
- Updated to Growl 0.7.4.
- No longer prompt if Vienna is exited while a connection is in progress.
- Better truncation of feed names in the folder list. (Code contributed by David Kocher).
- Handle HTML redirects in the feed for sources such as MSN Spaces.
- Save and restore the currently selected article when you exit and restart Vienna.
- Support use of the Shift key to open a link in the alternate browser. (Code contributed by Jeffrey Johnson).
- Added Japanese localisation. (Thanks to Daisuke).
- Added Spanish localisation. (Thanks to Carlos Morales).
- Shift+Spacebar scrolls up the article view or goes to the previously viewed message.
- Added four more built-in styles: Broadsheet Clipping, Perlucida, Prague and Prague-light.

2.0.0.2025 (2.0 Release Build)
------------------------------
- Added Dutch localisation (Thanks to Martijn van Exel).
- Fix corrupted display of iframe on some articles due to encoding mismatch.
- Fix Mark All Read behaviour in smart folders which broke in 2024.
- Fix crash on closing tabs.

2.0.0.2024
----------
- Additional memory usage improvements.

2.0.0.2023
----------
- Incorporated a fix from Mark Evenson for the cursor.org RSS feed.
- Refresh keystrokes changed to Cmd+R/Shift+Cmd+R.
- Mark Read keystroke changed to Cmd+Shift+U ('u' single key added to complement).
- New Smart Folder keystroke changed to Cmd+Shift+F.
- Reload Page keystroke changed to Alt+R.
- Added Cmd+Alt+K to Mark All Subscriptions as Read.
- Made a few internal optimisations to try and reduce memory usage and database update frequency.
- Added French help file and some French localisation fixes.
- Other minor bug fixes.

2.0.0.2022
----------
- More feed parsing issues fixed.
- Improved General and Appearance icons contributed by Brandon Booth.

2.0.0.2021
----------
- Fixed a few left-over localisation issues.
- Parse out a subset of HTML tags from titles.
- Add a fix for unescaped & characters in links which some feeds are prone to.
- Replaced Preference icons as the originals turned out to copyrighted to Nitram+Nunca.

2.0.0.2020
----------
- New 'star' shaped unread count on the application icon.
- Disable Delete Article unless the article list has focus.
- Minor fit-and-finish polish to the UI and parsing code.

2.0.0.2019
----------
- New RSS feed icon.
- Fixed a few more feed parsing issues.

2.0.0.2018
----------
- Improved handling of feeds with invalid XML encoding so most of these are now accepted.
- Fix Growl integration to work in localised builds.
- Fix handling of folder icons from sites like FeedBurner.
- Finalised help file for 2.0 release.

2.0.0.2017
----------
- Fix localisation article scroll bar truncation.
- Clear download list should not remove items being downloaded.
- Fix handling of Javascript web pages.
- Add three more built-in styles: Tyger, Vienna Pride, EasySimple and Felix.
- Added Demo RSS feeds for new databases.
- Fix parsing of atom xml:base links.
- Added "current selection" Applescript method to return the current text selection.
- Don't undo when doing "Mark All Subscriptions as Read".

2.0.0.2016
----------
- Added Traditional Chinese localisation. (Thanks to Weizhong Yang).
- Accept HTTP 200 responses with no data as meaning 0 new articles rather than an error.
- Show count of unread on title bar. (Patch submitted by Jussi Hagman).
- Minor bug fixes.

2.0.0.2015
----------
- Improvements to universal date parsing to fix some mis-parsed article dates.
- Fixed OPML format in exported subscriptions to conform to the standard.
- A warning icon now appears next to the folder name in the folders list if an error
  occurred when the feed was last refreshed.

2.0.0.2014
----------
- Fix "Folder NOT xxx" implementation which wasn't working right for group folders.
- Cmd+W closes the Download, Preference or Activity windows even when they are active.
- $FeedDescription$ added as a tag for styles. This expands to the feed description if available.
- Fixed bug where AppleScript 'current article' on an article in a group returns a null reference.
- Search field now also searches in titles.
- Confirmation prompt added before emptying the trash folder.
- Download window now allows double-click to open a downloaded file.
- Added popup menu to download window.

2.0.0.2013
----------
- Resort the folder list when a folder is renamed.
- Cmd-click on a link in the web view opens the link in a new tab.
- Download SITX files as SITX files even if the server returns a MIME type of text.

2.0.0.2012
----------
- Fix bug which prevented a system from going to sleep if automatic refreshes are enabled.
- Stepping through article lists does not refresh the article pane until the steps complete.
- Completed all localisation fixes.
- Auto-expire now runs post-refresh in addition to at start up.
- Vienna now checks that it can create the database in the users home folder and prompts
  for an alternative location if not.
- Don't scroll the current article after a refresh if it hasn't been changed or expired.

2.0.0.2011
----------
- Added option to export subscriptions with groups or as a flat file.
- Refresh when the system awakes from sleep if the refresh frequency is not set to manual.
- Added German Localisation. (Thanks to Jan Kampling).
- Improved handling of invalid styles.
- Vienna can now download files. A new Downloads window has been added which tracks the file
  downloads. The downloads folder can now be configured via Preferences.
- Added "Mark All Subscriptions as Read" command. (Thanks to Yann Bizeul).
- Incorporated patches from Yann Bizeul and Adam Hammer.
- Close button on tabs now depress and highlight properly.
- New Preferences UI.
- Font selection in Preferences changed to use the standard OS font picker.
- Add an option to disable feed folder images in the folders list.
- Moved unread count on application icon to the top right corner to be consistent with most
  other Mac OSX applications.
- Support dragging URL strings from other applications into the folders pane.
- Support dropping script files (.scpt) on the application icon to install them to the Vienna
  script folder and add them to the Scripts menu.

2.0.0.2010
----------
- Added auto-expire support. Articles older than a given number of days can be automatically moved
  to the trash folder.
- Handle RDF:Sequence parsing for feeds such as http://www.kongisking.net. This ensures that
  feeds are properly organised by date in the absence of any date in the feed.
- Smart folder dates fields are now fixed strings representing a time range rather than an actual date.
- Added Italian Localisation. (Thanks to Marcello Teodori).
- Pre-build 2005 format databases no longer upgraded.
- Removed old format display style conversion code. Styles on the web site have been updated.
- Fixed bug where smart folder criteria was unintentionally extended when doing a filtered search.
- Changed a couple of default preferences. We no longer check for new articles on startup and the
  default layout is now to have the article pane at the bottom.
- Fixed growl notification handling not bringing the main window to the foreground.
- Added "Skip Folder" command to mark all articles in the current folder read and skip to the next
  folder with unread articles. The shortcut key for this is 'S'.

2.0.0.2009
----------
- Fixed potential database corruption bug introduced in build 2007 when refreshing a feed that
  uses entity characters specified with hexadecimal notation.
- Cmd+W closes Preferences window if it is open, rather than the main window.
- The "About Vienna" window can now be closed with Esc or Cmd+W.
- Reduced height of tabs slightly.
- Holding down Cmd+Alt keys while clicking tab close button closes all tabs.
- Fixed close tab behaviour properly this time.

2.0.0.2008 (BETA 2)
-------------------
- Added final Swedish localisation changes for beta 2.
- Fixed French localisation import error.
- Fix bug with importing OPML files.
- Added 'group folder', 'smart folder' and 'rss folder' attributes to folder class in scripting.
- Added Restore command to restore an article in the Trash Folder back to where it came from.
- Fixed UI update bug when a folder is deleted during a refresh.
- Exported files now have ".opml" extension added to them.
- Smart search folder operators are now limited to "is" and "is not" as "under" is now implied.
- Encode extended characters in HTML article text dragged from the article list view.

2.0.0.2007
----------
- You can now undo/redo Mark All Read, even across multiple folders.
- Article view split bar position is now properly persisted across sessions.
- Disabled proportional folder and article list split bar resizing when the main window is resized.
- Selecting multiple articles now shows multiple articles in the article pane.
- Fixed problem when parsing feeds from http://macintouch.com/rss.xml. Some servers report an
  error unless the User-agent field is specified in the HTTP header.
- Added built-in browser support. Web pages can now be opened in Vienna in separate tabs as an
  option. Next and Previous Tab commands added to the Window menu. Close Tab added to the File
  menu. Right-click popup menu allows links or pages to be opened externally.
- Added option in Preferences to open web pages in Vienna.
- Close Window command changed to Shift+Command+W when tabs are open for consistency with
  Camino and Safari.
- Fixed a bug that screwed up sorting by the read column.
- Improved printing of articles.
- Can undo moving folders in the folders list pane.
- Several improvements to AppleScript interface: new attributes and fixed some bugs.
- Added Cmd+U for next unread since Spacebar doesn't work from the web view.

2.0.0.2006
----------
- Can now sort and double-click activity log items.
- Added option to set the minimum font size in the article display pane.
- Search field now searches article titles as well as the text.
- New application icon. (Thanks to Jasper Hauser - http://www.jasperhauser.nl/icon/).
- Added French localisation. (Thanks to Cyril Gautrias).
- Dropped Compact Database command from the File menu. This is now accessible through the
  scripting interface. Most people don't actually need to compact the database now.
- Added "Validate Feed" command to the File menu.

2.0.0.2005
----------
- Updates to Swedish localisation.
- Fixed entity decoding bug that caused corrupted characters in the Der Spiegel feed.
- Fixed character set translation bug that caused some UTF8 characters to appear corrupted.
- Improvements to handling of article GUID/ID to eliminate duplicate articles and better
  track articles that have been modified. This change requires a database upgrade.
- Left/Right arrow keys now move between the folder list and the articles list.
- Added Trash folder. Delete Article now moves selected articles to the Trash folder. New
  Empty Trash command on the Vienna menu can be used to empty the trash folder. (Note: it
  is intentional that you can rename the Trash folder).
- Added Undo/Redo support for the following actions: marking articles read, marking articles
  flagged, renaming folders and deleting articles.
- Spacebar now moves to next unread article.
- Enter key now opens the current article in the default system browser. ('P' to open the
  current article in the article pane has been removed.)
- < and > keys now move to previous and next article.
- Drag from the article list now provides HTML and string versions on the pasteboard.
- Copy now works on articles in the article list and folders in the folder list.
- Added an option to open links clicked in Vienna in the background in the default browser.
- New temporary application icon that is more 'clickable' than the old one. A better icon
  is planned for later.
- Added "More Styles..." to end of Styles menu that opens the Vienna downloads web site in the
  default browser.
- Improved the UI refresh after drag and drop re-ordering of folders in the folder list.

2.0.0.2004 (Refresh)
--------------------
- Added support for automatically installing custom styles.
- Refresh button now toggles between starting and stopping a refresh.
- Remove the unread count from the application icon in the dock when closing Vienna.
- Fixed bug where authenticated feeds did not prompt for first time credentials.

2.0.0.2004
----------
- Add Scripts menu that displays all scripts under ~/Library/Scripts/Applications/Vienna. By
  default this is enabled under Mac OSX 10.3 and disabled under 10.4 since there is a system
  wide Scripts menu on the status bar that replicates this functionality.
- Rewrote the code that registers the default RSS reader. It wasn't picking up all possible
  candidates. Now it shows all candidate applications and also adds a Select... option so the
  user can manually search for the application. This also fixes the bug where Vienna took over
  the feed handler from others without permission.
- Smart folders now support 'any' in addition to the implied 'all' condition. So you can now
  create folders which match any one or more combination of criteria.
- Clicking the dock icon now reopens the main window if it was previously closed.
- Added Swedish localisation (contributed by Christoffer Larsson).
- Several internal fixes for issues thrown up by Swedish localisation.
- View->Next Unread now goes to folders that have subscriptions with unread articles as well
  as to the subscriptions themselves. This causes Vienna to respect the closed state of group
  folders.
- Improved the logic by which folder images are retrieved to make this more reliable.
- New About Vienna window.
- The count of unread articles now show up as button in the folder list to the right of each
  subscription name.
- The Search field now searches immediately rather than wait for you to press Enter.
- Fixed bug that causes images not to render in feeds where embedded links to images are
  relative to the URL of the feed rather than absolute URLs.
- Add 'Validate Feed' command.

2.0.0.2003
----------
- Add an option to mark the current article read after 1 second. This is now the new default.
- Fix import/export to convert characters such as <, > and & to and from their entity equivalents
  in URL fields as per XML specification.
- Add View->Article Page to display the original web page from which the article came. The short
  cut for this is 'P'. The command toggles between the web page and the original article.
- Support content:encoding in RSS 2.0 feeds and use that to override description where available.
  (This fixes the parsing of sites such as http://feeds.feedburner.com/MajorNelson).
- In Atom feeds, where no explicit author is specified for an article, use the feed author if available.
- Mark All Read now works in smart folders.
- Add File->Close Window command to close the main Vienna window and Window->Main Window to reopen
  it again. While the main window is closed, all UI commands are disabled.
- Add "Refresh All Subscriptions" to the application dock menu. Other things will follow on the
  dock menu but this was the most common one that people requested.
- Trim title fields to the first non-blank line. Some feeds had titles with multiple lines and
  these cause display problems in the UI.
- When subscribing to a feed, we now check to see if there's an active connection available and if
  so, we refresh the new feed immediately. If there's no active connection then the refresh is
  deferred.
- New layout style when the article pane is to the right of the article list. In this layout, the
  articles are automatically displayed in summary style with four fixed columns. (Note that you
  cannot add or remove columns in this layout). When the article pane is at the bottom, the usual
  table layout appears. For simplicity I haven't exposed any way to change layout independently
  of the position of the article pane. It'll be interesting to see if anybody really wants the
  summary view when the article pane is below the article list.

2.0.0.2002 (BETA 1)
-------------------
- Original beta 1 release.
